db-torque-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thomas Fox <Thomas....@seitenbau.net>
Subject Re: Problems migrating to Torque 4
Date Mon, 08 Jul 2013 08:47:48 GMT

> >> The documentation of the option "torque.database" says that it is
> >> required for the "generate" goal.
> >
> > Which documentation?
> > In
> > http://db.apache.org/torque/torque-4.0/documentation/orm-
> reference/running-the-generator.html
> > the only required option is torque.om.package.
> > But maybe there is another place in the dcs I am not aware of...
>
> I was looking at
> http://db.apache.org/torque/torque-4.0/documentation/orm-reference/
> customizing-generation.html

Hm. In your case, there is the entry in the "Used for generation of"
column, which says sql, html, xdoc, so one could conlude that the option is
not required for om generation, but it is not really exlicitly described.
Plus there is the wrong "description", which says required for generation
of java classes, which definitely is a bug. I have already fixed it, can
you please look if it is ok now ? Do you think it is worth creating a jira
issue to let others know that the description is wrong (I personally hav
never looked into an issue tracker to find documentation issues) ?

   Thomas


---------------------------------------------------------------------
To unsubscribe, e-mail: torque-dev-unsubscribe@db.apache.org
For additional commands, e-mail: torque-dev-help@db.apache.org


Mime
View raw message